It looks like you're offline.
Open Library logo

Lists API → Diff

Added
Modified
Removed
Not changed
Revision 14 by Drini March 13, 2023
Revision 17 by raybb October 15, 2023
body
0 * [Get Lists of a user](#users-lists) 0 * [Create a list](#create-list)
1 * [Get lists of a seed](#seed-lists) 1 * [Add/delete a seed from a list](#edits-seed)
2 * [Search Lists](#search-lists) 2 * [Delete a list](#delete-list)
3 * [Create a List](#create-list) 3 * [Update a list](#update-list) -- not implemented
4 * [Update a list](#update-list) 4 * [Get a user's lists](#users-lists)
5 * [Get lists containing a seed](#seed-lists)
5 * [Get seeds of a list](#read-list) 6 * [Get seeds of a list](#read-list)
6 * [Add/delete a seed from a list](#edits-seed) 7 * [Get editions of a list](#get-editions) (for works use the seeds API above)
7 * [Get editions of a list](#get-editions)
8 * [Get subjects of a list](#get-subjects) 8 * [Get subjects of a list](#get-subjects)
9 9 * [Search lists](#search-lists)
10 10
11 <a name="users-lists">&nbsp;</a> 11 <a name="users-lists">&nbsp;</a>
12 ## Get Lists of a user 12 ## Get a user's lists
13 13
... ...
47 <a name="seed-lists">&nbsp;</a> 47 <a name="seed-lists">&nbsp;</a>
48 ## Get lists of a seed 48 ## Get lists containing a seed
49 49
... ...
81 <a name="search-lists">&nbsp;</a> 81 <a name="search-lists">&nbsp;</a>
82 ## Search Lists 82 ## Search lists
83 83
... ...
116 <a name="create-list">&nbsp;</a> 116 <a name="create-list">&nbsp;</a>
117 ## Create a List 117 ## Create a list
118 118
... ...
184 184
185 <a name="delete-list">&nbsp;</a>
186 ## Delete a list
187
188 Request:
189
190    POST /people/anand/list/OL1L/delete.json
191    Content-Type: application/json
192
185 <a name="update-list">&nbsp;</a> 185 <a name="update-list">&nbsp;</a>
... ...
209    {"key": "/people/anand/list/OL1L", "revision": 3} 209    {"key": "/people/anand/list/OL1L", "revision": 3}
210     218
211     219 <a name="read-list">&nbsp;</a>
212 ## Get seeds of a list 212 ## Get seeds of a list
... ...
256 256
257 <a name="edits-seeds>&nbsp;</a> 265 <a name="edits-seeds">&nbsp;</a>
258 ## Add/delete a seed from a list 266 ## Add/delete a seed from a list
267
268 - Add seed(s) to a list
269
270 Request:
271
272    POST /people/anand/list/OL1L/seeds HTTP/1.1
273    Content-Type: application/json
274    
275    {
276        "add": [
277            {key: "/books/OL25083437M"},
278            {key: "/books/OL24375501M"}
279        ]
280    }
281
282 Response:
283
284    HTTP/1.1 200 OK
285    Content-Type: application/json
286    
287    {"key": "/people/anand/list/OL1L", "revision": 3}
288
289 - Delete seed(s) from a list
259 259
... ...
410 <a name="edits-seed">&nbsp;</a> 410 <a name="edits-seed">&nbsp;</a>
411 ## Add/delete a seed from a list
412
413 - Add seed(s) to a list
414
415 Request:
416
417    POST /people/anand/list/OL1L/seeds HTTP/1.1
418    Content-Type: application/json
419    
420    {
421        "add": [
422            {key: "/books/OL25083437M"},
423            {key: "/books/OL24375501M"}
424        ]
425    }
426
427 Response:
428
429    HTTP/1.1 200 OK
430    Content-Type: application/json
431    
432    {"key": "/people/anand/list/OL1L", "revision": 3}